Name:		dobeedo
Version:	0.2.0
Release:	%mkrel 3
License:	GPL
Group:		Graphical desktop/KDE4
URL:		http://kde-apps.org/content/show.php/DoBeeDo?content=123338
Source:		%{name}-%{version}.tar.xz
Summary:	A TODO list for KDE 4
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	qt4-devel
BuildRequires:  kdelibs4-devel
Requires:   	glibc >= 2.10.1
Requires:  	libstdc++6 >= 4.4.1
Requires:	ffmpeg

%description
DoBeeDo is a todo list manager for KDE
that tries to be easy and fast to use.


%prep

%setup -q -n %{name}-%{version}

%build

cmake . -DCMAKE_INSTALL_PREFIX=/usr

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std 

desktop-file-install --vendor="" \
    --remove-category="Application"\
    --add-category="X-MandrivaLinux-Office-Accessories" \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*


%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%_bindir/dobeedo
%_datadir/applications/kde4/dobeedo.desktop
%_datadir/apps/dobeedo/dobeedoui.rc
%_datadir/icons/hicolor/128x128/apps/dobeedo.png
%_datadir/icons/hicolor/128x128/status/dobeedo-today.png
%_datadir/icons/hicolor/128x128/status/dobeedo-tomorrow.png
%_datadir/icons/hicolor/16x16/apps/dobeedo.png
%_datadir/icons/hicolor/16x16/status/dobeedo-today.png
%_datadir/icons/hicolor/16x16/status/dobeedo-tomorrow.png
%_datadir/icons/hicolor/22x22/apps/dobeedo.png
%_datadir/icons/hicolor/22x22/status/dobeedo-today.png
%_datadir/icons/hicolor/22x22/status/dobeedo-tomorrow.png
%_datadir/icons/hicolor/32x32/apps/dobeedo.png
%_datadir/icons/hicolor/32x32/status/dobeedo-today.png
%_datadir/icons/hicolor/32x32/status/dobeedo-tomorrow.png
%_datadir/icons/hicolor/48x48/apps/dobeedo.png
%_datadir/icons/hicolor/48x48/status/dobeedo-today.png
%_datadir/icons/hicolor/48x48/status/dobeedo-tomorrow.png
%_datadir/icons/hicolor/64x64/apps/dobeedo.png
%_datadir/icons/hicolor/64x64/status/dobeedo-today.png
%_datadir/icons/hicolor/64x64/status/dobeedo-tomorrow.png
%_datadir/locale/de/LC_MESSAGES/dobeedo.mo



%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Mon Feb 21 2011 texstar <texstar.com>
- rebuild against kde 4.6.0

* Sun Aug 29 2010 Texstar <texstar at gmail.com> 0.2.0-2pclos2010
- rebuild for 4.5.1

* Sat Jun 05 2010 Texstar <texstar at gmail.com> 0.2.0-1pclos2010
- initial package


